/****************************************************************************/
/*  Test MOD-24LR / nrf24L01                                                */
/****************************************************************************/
/*  LEnsE / Julien VILLEMEJANE       /   Institut d'Optique Graduate School */
/****************************************************************************/
/*  Brochage                                                                */
/*      TO COMPLETE                                                         */
/****************************************************************************/
/*  Test réalisé sur Nucléo-F411RE                                          */
/****************************************************************************/

#include "mbed.h"
#include "MOD24_NRF.h"
#include "nRF24.h"

Serial          debug_pc(USBTX, USBRX);
InterruptIn     bp_int(USER_BUTTON);

/* Main Function */
int main() {
    debug_pc.baud(115200);

    // init module nRF24 radio
    initNRF24();

    // paramètre switch entre transmettre et écouter
    int decideur=0; 
    
    while(1) {
        //testNRF24();

        transmettreConsigne(&decideur);
    }
}



